#pragma once

#include "CoreMinimal.h"
#include "StatusEffect.h"
#include "HexThrillOfTheHuntStatusEffect.generated.h"

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class DBDCOMPETENCE_API UHexThrillOfTheHuntStatusEffect : public UStatusEffect
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere)
	float _speedPenaltyPercents;

public:
	UFUNCTION(BlueprintPure)
	float GetSpeedPenaltyPercents(int32 tierLevel) const;

public:
	UHexThrillOfTheHuntStatusEffect();
};

FORCEINLINE uint32 GetTypeHash(const UHexThrillOfTheHuntStatusEffect) { return 0; }
